﻿$topBarHeight: 70px;
$mainColor: #40A591;

.loader-box {
    width: 500px;
    height: 120px;
    margin: 100px auto;
    text-align: center;
    font-family: Consolas, Verdana;
    font-size: 10px;
}

.sidebar {
    padding: 0;
    margin: $topBarHeight 0 0 0;
    position: fixed;
    overflow: auto;
    width: 200px;
    height: 100%;
    border-right: 1px solid;
    border-color: InactiveBorder;
}

/* Sidebar links */
.sidebar a {
    display: block;
    padding: 16px;
    text-decoration: none;
}

/* Active/current link */
.sidebar a.active {
    background-color: $mainColor;
    color: white;
    opacity: 0.7;
}

.topbar {
    margin: 0;
    padding: 0;
    overflow: auto;
    position: fixed;
    width: 100%;
    height: $topBarHeight;
    background-color: $mainColor;
    /*border-bottom: 1px solid;*/
}

.topbar h3 {
    width: auto;
}

.topbar a {
    float: left;
    display: block;
    vertical-align: central;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    color: white;
}

.topbar button {
    float: right;
    display: block;
    vertical-align: central;
    padding: 14px 16px;
    font-size: 17px;
}

.content {
    margin-left: 200px;
    margin-top: 0;
    padding: $topBarHeight 16px 1px 16px;
}

/* On screens that are less than 700px wide, make the sidebar into a topbar */
@media screen and (max-width: 700px) {
    .sidebar {
        width: 100%;
        height: auto;
        position: relative;
    }

    .sidebar a {
        float: left;
    }

    div.content {
        margin-left: 0;
    }
}

/* On screens that are less than 400px, display the bar vertically, instead of horizontally */
@media screen and (max-width: 400px) {
    .sidebar a {
        text-align: center;
        float: none;
    }

    .topbar a {
        float: none;
        display: block;
    }
}
